/* convent.h - Konventionen;              UKE/EDV, Bernd Paradies, 02.10.90 */

/* sccsid:  "@(#)lib:/u1/bernd/inc/convent.h    1.0" */

#ifndef  __CONVENTIONS__                   /* verhindert doppeltes includen */
#define  __CONVENTIONS__


/* -- Typen */
typedef char            BOOL;
typedef unsigned char   BYTE;
typedef unsigned int    WORD;

#ifndef FALSE         /* curses redefines FALSE and TRUE */
#define FALSE   0
#define TRUE    1
#endif  FALSE

#define REG     register

/* -- Funktions-Attribute */
#define IMPORT   extern
#define PRIVATE  static
#define PUBLIC

/* -- hooked functions */

#ifdef __TESTING__

#define malloc    _malloc
#define free      _free

#endif __TESTING__


#define  warning(txt,nr) fprintf (stderr, "WARNING: %s (%i)\n", txt, nr)
#define  error(txt)    { fprintf (stderr, "ERROR: %s !\n", txt); exit (1); }

#endif  __CONVENTIONS__
